/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */

/*
 * enable/disable discover button
 */
function discoverButtonDisabled() {
	var selectedDevice = document.getElementById(namespace + ":addDatasource_mainForm:storageCombo").value;
	
	// disable discover button based on device type
	if (selectedDevice == 'switch')
	{	
		var ip = document.getElementById(namespace + ":addDatasource_mainForm:switchSubview:switchIP").value;
		var port = document.getElementById(namespace + ":addDatasource_mainForm:switchSubview:switchPort").value;
		var user = document.getElementById(namespace + ":addDatasource_mainForm:switchSubview:switchUsername").value;
		var password = document.getElementById(namespace + ":addDatasource_mainForm:switchSubview:switchPassphrase").value;
		var interop = document.getElementById(namespace + ":addDatasource_mainForm:switchSubview:switchNamespace").value;

    	if ((ip != "") && (port != "") && (user != "")
    			&& (password != "")&& (interop != ""))  {	
    		document.getElementById(namespace + ":addDatasource_mainForm:discoverStorageButton").disabled = false;
    	}
    	else {
    		document.getElementById(namespace + ":addDatasource_mainForm:discoverStorageButton").disabled = true;        		
    	}
	
	}
    else if (selectedDevice == 'other') {
		var ip = document.getElementById(namespace + ":addDatasource_mainForm:otherSubview:otherStorageIP").value;
		var port = document.getElementById(namespace + ":addDatasource_mainForm:otherSubview:otherStoragePort").value;
		var user = document.getElementById(namespace + ":addDatasource_mainForm:otherSubview:otherStorageUsername").value;
		var password = document.getElementById(namespace + ":addDatasource_mainForm:otherSubview:otherStoragePassphrase").value;
		var interop = document.getElementById(namespace + ":addDatasource_mainForm:otherSubview:otherStorageNamespace").value;

    	if ((ip != "") && (port != "") && (user != "")
    			&& (password != "")&& (interop != ""))  {	
    		document.getElementById(namespace + ":addDatasource_mainForm:discoverStorageButton").disabled = false;
    	}
    	else {
    		document.getElementById(namespace + ":addDatasource_mainForm:discoverStorageButton").disabled = true;        		
    	}
    } 
	else if (selectedDevice == 'ds8k')
	{	
		var ip = document.getElementById(namespace + ":addDatasource_mainForm:ds8kSubview:ds8kIP").value;
		var user = document.getElementById(namespace + ":addDatasource_mainForm:ds8kSubview:ds8kUser").value;
		var password = document.getElementById(namespace + ":addDatasource_mainForm:ds8kSubview:ds8kPassphrase").value;
		
    	if ((ip != "") && (user != "")&& (password != "")) {	
    		document.getElementById(namespace + ":addDatasource_mainForm:discoverStorageButton").disabled = false;
    	}
    	else {
    		document.getElementById(namespace + ":addDatasource_mainForm:discoverStorageButton").disabled = true;        		
    	}
    }
    else if (selectedDevice == 'xiv') 
    {
		var ip = document.getElementById(namespace + ":addDatasource_mainForm:xivSubview:xivIP").value;
		var user = document.getElementById(namespace + ":addDatasource_mainForm:xivSubview:xivUser").value;
		var password = document.getElementById(namespace + ":addDatasource_mainForm:xivSubview:xivPassphrase").value;
		
    	if ((ip != "") && (user != "")&& (password != "")) {	
    		document.getElementById(namespace + ":addDatasource_mainForm:discoverStorageButton").disabled = false;
    	}
    	else {
    		document.getElementById(namespace + ":addDatasource_mainForm:discoverStorageButton").disabled = true;        		
    	}
    } 
    else if (selectedDevice == 'svc') 
    {
    	var iframe = document.getElementById('FileUploadFrame');
    	var innerDoc = iframe.contentDocument || iframe.contentWindow.document;
		var ip = document.getElementById(namespace + ":addDatasource_mainForm:svcSubview:svcIP").value;
		var key = innerDoc.getElementById("FileUploadForm:fileUpload_id").value;

    	if ((ip != "") && (key != "")) {	
    		document.getElementById(namespace + ":addDatasource_mainForm:importAndDiscoverStorageButton").disabled = false; 
    	}
    	else {
    		document.getElementById(namespace + ":addDatasource_mainForm:importAndDiscoverStorageButton").disabled = true;        		
    	}

    }
    else if (selectedDevice == 'v7k')
	{
    	var iframe = document.getElementById('FileUploadFrame');
    	var innerDoc = iframe.contentDocument || iframe.contentWindow.document;
    	var ip = document.getElementById(namespace + ":addDatasource_mainForm:v7kSubview:v7kIP").value;
		var key = innerDoc.getElementById("FileUploadForm:fileUpload_id").value;

    	if ((ip != "") && (key != "")) {	
    		document.getElementById(namespace + ":addDatasource_mainForm:importAndDiscoverStorageButton").disabled = false;
    	}
    	else {
    		document.getElementById(namespace + ":addDatasource_mainForm:importAndDiscoverStorageButton").disabled = true;        		
    	}
    	
	}
    else
	{
    	//nothing selected, do nothing    	
	}
}


/* Discover button just hit */
function discoverRequested() {
	// Disable discovery button and show progress spinner
	//document.getElementById(namespace + "form1:buttonRunDiscovery").disabled = true;
	document.getElementById(namespace + ":addDatasource_mainForm:spinImage").style.display = "";
	document.getElementById(namespace + ":addDatasource_mainForm:summaryPanelGrid").style.display = "";
	document.getElementById(namespace + ":addDatasource_mainForm:storageDiscoveryWrapperPanel").style.display = "none";
}

function discoverAndFileUploadRequested() {
    var retvalue;	
	document.getElementById(namespace + ":addDatasource_mainForm:spinImage").style.display = "";
	document.getElementById(namespace + ":addDatasource_mainForm:summaryPanelGrid").style.display = "";
	document.getElementById(namespace + ":addDatasource_mainForm:storageDiscoveryWrapperPanel").style.display = "none";
	
    retvalue = upload();
  return retvalue;
}


/* Set the components to reflect that no discovery is running */
function stopProgress() {

	// We are done - hide the text - Stop and run another buttons and Spinner
	document.getElementById(namespace + ":addDatasource_mainForm:spinImage").style.display = "none";
	document.getElementById(namespace + ":addDatasource_mainForm:progressText").style.display = "none";
	document.getElementById(namespace + ":addDatasource_mainForm:progressText").innerHTML = document.getElementById(namespace + ":addDatasource_mainForm:processingOutputText").innerHTML;
	document.getElementById(namespace + ":addDatasource_mainForm:buttonCancel").style.display = "none";

	// Turn on the Discover button
	//document.getElementById(namespace + ":addDatasource_mainForm:buttonRunDiscovery").disabled = false;

}

/* Stop button hit */
function stopRequested() {

	// Turn on the Spinner, stopping text
	document.getElementById(namespace + ":addDatasource_mainForm:spinImage").style.display = "none";
	document.getElementById(namespace + ":addDatasource_mainForm:progressText").innerHTML = document.getElementById(namespace + ":addDatasource_mainForm:stoppingOutputText").innerHTML;
	document.getElementById(namespace + ":addDatasource_mainForm:progressText").style.display = "";

	// Hide the stop button
	document.getElementById(namespace + ":addDatasource_mainForm:buttonCancel").style.display = "none";
}

/* Show the elements that reflect a discovery is running */
function discoveryRunning() {

	// Turn on the Spinner, processing text, stop and run another buttons
	document.getElementById(namespace + ":addDatasource_mainForm:spinImage").style.display = "";
	document.getElementById(namespace + ":addDatasource_mainForm:progressText").innerHTML = document.getElementById(namespace + ":addDatasource_mainForm:processingOutputText").innerHTML;
	document.getElementById(namespace + ":addDatasource_mainForm:progressText").style.display = "";
	document.getElementById(namespace + ":addDatasource_mainForm:buttonCancel").style.display = "";
	document.getElementById(namespace + ":addDatasource_mainForm:storageDiscoveryWrapperPanel").style.display = "none";


	// Disable the the Discover button
	//document.getElementById(namespace + ":addDatasource_mainForm:buttonRunDiscovery").disabled = true;

}


	/*
	 * 
	 */	
	function updateDiscoveredTable(jsonArr) {
		var discoveredTablePrefix = ":addDatasource_mainForm:discoveredDevicesNav:TABLE_";
		var namePostfix = "_0_Left_notSearchableColumn";
		var discoveredPostfix = "_0_Right_notSearchableColumn";
		var categoryPostfix = "_1_Right_notSearchableColumn";
		var versionPostfix = "_2_Right_notSearchableColumn";
		var i = 0;
		for(var i=0; i<jsonArr.length; i++) {
			document.getElementById(namespace + discoveredTablePrefix + i + namePostfix).value = jsonArr[i].IPAddress;
			document.getElementById(namespace + discoveredTablePrefix + i + discoveredPostfix).value = "Discovered";
			document.getElementById(namespace + discoveredTablePrefix + i + categoryPostfix).value = jsonArr[i].Category;
			document.getElementById(namespace + discoveredTablePrefix + i + versionPostfix).value = jsonArr[i].Version;
			//alert("Index: " + i + ", IP Address: " + jsonArr[i].IPAddress + " , Category: " + jsonArr[i].Category);
		}
	}
	
	
	



	